.onLoad <- function(libname, pkgname) {
  ns <- asNamespace(pkgname)
  path <- system.file("extdata", package=pkgname, lib.loc=libname)
  files <- dir(path)
  for (i in seq_len(length(files))) {
    db <- loadDb(system.file("extdata", files[[i]], package=pkgname,
                  lib.loc=libname), packageName=pkgname)
    objname <- sub(".sqlite$", "", files[[i]])
    assign(objname, db, envir=ns)
    namespaceExport(ns, objname)
  }
}

.onAttach <- function(libname, pkgname) {
  msg <- paste("The package MafDb.ESP6500SI.V2.SSA137 has been emptied,",
               "deprecated and will be removed in the next release of",
               "Bioconductor. It has been replaced by",
               "MafDb.ESP6500SI.V2.SSA137.hs37d5 and MafDb.ESP6500SI.V2.SSA137.GRCh38.",
               "Please go to their respective package landing web pages at:",
               "http://bioconductor.org/packages/MafDb.ESP6500SI.V2.SSA137.hs37d5",
               "http://bioconductor.org/packages/MafDb.ESP6500SI.V2.SSA137.GRCh38",
               "and follow the instructions to install them.", sep="\n")
  packageStartupMessage(msg)
}
